/* class comment */!!

inherit(Object, #CLIPIdentNode, #(identToPrint), 2, nil)!!

now(class(CLIPIdentNode))!!

now(CLIPIdentNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("displayValue(self, asString(getRValue(self, ");
  CLICodeCompile(doubleQuoteString(CLIUtilities));
  CLICodeCompile(identToPrint);
  CLICodeCompile(doubleQuoteString(CLIUtilities));
  CLICodeCompile(")))) ");
}!!

Def init(self, arg)
{
  identToPrint := arg;
}!!
